<?php
/*
 * this file contains editable information
 * not as critical as constants
 * */
/**
 * this is the URI for your data site
 * this should be unique to your site, so when you import/export with other site
 * changes can be merged.
 * */
define('SONIA_DEFAULT_MODEL_PREFIX', 'semantic_search');
if (!defined('_BASE_NAMESPACE_URL')) die ('_BASE_NAMESPACE_URL must be defined in semantic_search.conf.inc');
define('SONIA_DEFAULT_MODEL_IRI',_BASE_NAMESPACE_URL.'/namespaces/'.SONIA_DEFAULT_MODEL_PREFIX);

 
 
/**
  * ARC can return multiple ways. Rows refers to a PHP array which 
  * SONIA depends - this should not have to change
  * */
define('ARC_DEFAULT_RESULT_TYPE', 'rows');

define('SONIA_BACKEND_TYPE','sonia_arc_local');

define('SONIA_WRITE_ARC_LOG', true);
//define('SONIA_ARC_LOG_PATH', SONIA_LOCAL_ARC_TOOLS . '/logs/');

define('SONIA_RUN_INIT_TESTS', false);
//some forms, like in drupal add an array to the form request params
//VERY IMPORTANT
define('SONIA_FORM_REQUEST_PREFIX', 'edit');

define('SONIA_COMMENCE_SEARCH', '1980');

/**
 * Location of RDF files to import and export
 * */
define('ARC_RDF_FILE_LOCATION', APP_DIRECTORY . '/data/');

/**
 * URI of the model name. As you collect RDF data you will want
 * to refer to that set of data with a URI... a collection
 * */
define('ARC_MAIN_DATA_IRI', SONIA_DEFAULT_MODEL_IRI);
define('ARC_DEFAULT_NS_PREFIX', 'sonia');

define('ARC_DEFAULT_PREFIXES', 'PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
            PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
            PREFIX owl: <http://www.w3.org/2002/07/owl#>
            PREFIX foaf: <http://xmlns.com/foaf/0.1/>
            PREFIX sonia: <'.SONIA_BASE_IRI.'>');  
