<?php
/*
 * Copyright (C) 2006, 2007,2008  Jonathan Hendler
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * 
 * The author can be contacted at: 
 *  - [hendlerman (at) yahoo DOT com]
 * 
 * @license GPLv2
 * @link    http://drupal.org/project/semantic_search
 */
/**
 * These configurations should not need to change
 * 
* @license GPLv2
* @license 2006 KBCMS LLC
* @author  Jonathan Hendler
* @package SONIA
* @version 0.3 
 * */
if (!defined('SONIA_LOCATION')) 
  drupal_set_message ("Please define SONIA_LOCATION in admin/settings");

define('APP_DIRECTORY', SONIA_LOCATION . '/');
define('TOOLS_DIRECTORY', APP_DIRECTORY . '/ext/');
define('SONIA_LOCAL_ARC_TOOLS', TOOLS_DIRECTORY . '/stores/arc_local');
define('SONIA_ARC',SEMANTIC_SEARCH_LOCATION.'contrib/ARC');

require SONIA_LOCAL_ARC_TOOLS . '/semantic_search_get_arc_config.php';

//extentsions (order matters)
require TOOLS_DIRECTORY . 'io/io.sonia.api.php';
require TOOLS_DIRECTORY . 'cache/ffcache.sonia.inc';
require TOOLS_DIRECTORY . 'io/drupal/drupal.io.sonia.php';
require TOOLS_DIRECTORY . 'stores/sonia.store.api.php';

//APIS and abstract classes
require APP_DIRECTORY . 'sonia.api.php';
require APP_DIRECTORY . 'sonia.base.php';
require APP_DIRECTORY . 'sonia.search.php';

//OTHER
require TOOLS_DIRECTORY . 'helpers.sonia.inc';
require TOOLS_DIRECTORY . 'url.helpers.sonia.inc';
require SONIA_ARC . '/ARC_api.php';
require SONIA_LOCAL_ARC_TOOLS . '/sonia.arc_local.store.php';
require TOOLS_DIRECTORY . 'stores/sesame_rpc/sonia.sesame.store.inc';
