<?php

/**
 * gather stats about how many fields could be searched on
 * */
function _semantic_search_cacheStatsFromForm(&$form){
  return $form;
}

/**
 * used to display timing throughout a query
 * */
function __nsp($name){
 global $__n_start;
 global $__n_last;
 if (empty($__n_start )) $__n_start = this_microtime();
 if ($__n_last !== 0 && empty($__n_last )) $__n_last = $__n_start;
 $now = this_microtime();
 $total = $now - $__n_start;
 $diff =  $now - $__n_last;
 drupal_set_message("$diff for <b>$name</b> from last $total from start"); 
 $__n_last = $now;
 
}

function this_microtime()
{
   list($usec, $sec) = explode(" ", microtime());
   return ((float)$usec + (float)$sec);
}

/// RANDOM helper functions
if (!function_exists('dbg')) {
    /**
      * A debug method.
      * Use to print contents of an array and gives an indication
      * of where dbg() was called
      * 
      * @todo 
      * - add support for object debugging
      * - have default $lable parameter be the name of $param passed in
      * 
      * @param mixed $array the item to debug
      * @param string $label optional html to label the $array
      * @param string $bt whethor or not to enable back trace
      * 
      * */
    function dbg($array, $label = 'Debug Output', $bt = false) {
        $t = '';
        $backtrace_string = '';
        if ($bt) {
            $backtraces = debug_backtrace();
            $backtrace_string = '';
            $first_run = true;

            foreach ($backtraces as $backtrace) {
                $backtrace_string .= '<strong>line ' . $backtrace['line'] . '</strong>  calls function <strong>';
                $backtrace_string .= $backtrace['function'] . '()</strong> in ';
                $backtrace_string .= '<span style="font-size: 9pt;">' . $backtrace['file'] . '</span><br />';
            }
        }

        $t .= '<div style="pmsg"><strong>' . $label . '</strong><br />';
        $t .= '<div class="arrayDebug" ><pre>';
        $t .= print_r($array, 1);
        $t .= '</pre></div>';
        $t .= "<em>";
        $t .= $backtrace_string;
        $t .= '</em></div>';

        drupal_set_message($t);
    }
} //end if function exists

/**
 * general string cleaner
 * */
function _semantic_search_str_clean(&$value){
  return $value;
  //return _semantic_search_iso_str_encode($value);
}

/**
 * from sadikkeskin at hotmail dot com
 * http://us3.php.net/manual/en/function.utf8-encode.php
 * */
function _semantic_search_iso_str_encode($string,$to="iso-8859-9",$from="utf8") {
   if($to=="iso-8859-9" && $from=="utf8"){
       $str_array = array(
       chr(196).chr(177) => chr(253),
       chr(196).chr(176) => chr(221),
       chr(195).chr(182) => chr(246),
       chr(195).chr(150) => chr(214),
       chr(195).chr(167) => chr(231),
       chr(195).chr(135) => chr(199),
       chr(197).chr(159) => chr(254),
       chr(197).chr(158) => chr(222),
       chr(196).chr(159) => chr(240),
       chr(196).chr(158) => chr(208),
       chr(195).chr(188) => chr(252),
       chr(195).chr(156) => chr(220)
       );
       return str_replace(array_keys($str_array), array_values($str_array), $string);
   }   
   return $string;
}

/**
 * default admin function
 * */
function _semantic_search_admin_semantic_search(){
  $output = t('');
  _semantic_search_load_js_and_css();
  return $output;
}

function _semantic_search_check() {
  global $_semantic_search_search;
  if (empty ($_semantic_search_search))
    _SEMANTIC_SEARCH_INIT();
  return $_semantic_search_search;
}

 
