var ctext;
var ss_stop_sync = false;

$(document).ready(function(){
   $('#sem-search-batch-js').hide();
   semantic_search_set_cache_functions();
   semantic_search_bind_sync();
});

function semantic_search_bind_sync(){
   $("#edit-BATCH-SYNC-JS").click(function(){
       ss_stop_sync = false;
       $('#sem-search-batch-js').html('&nbsp;');
        var url = SEMANTIC_SEARCH_JSRPC_ADMIN_PATH + '?action=sync';
        semantic_search_recursive_sync(url);
         $("#edit-BATCH-SYNC-JS").click(function(){
            //semantic_search_bind_sync();
            ss_stop_sync = true;
            return false;
         });
       return false;
   });
}

function semantic_search_recursive_sync(url){
  $.get(url, function(data){
    var result = Drupal.parseJson(data);
    var index_size = result.index_size;
    var total_node_count = result.total_node_count;
    
    $('#sem-search-batch-js').html(''+index_size +' of '+total_node_count+' completed.');
    $('#sem-search-batch-js').fadeIn();
     if (!ss_stop_sync && (parseInt(total_node_count) > parseInt(index_size))){
       semantic_search_recursive_sync(url);  
     } else if (parseInt(total_node_count) <= parseInt(index_size)){
       $('#sem-search-batch-js').append('<br />** Task Completed. **');
     }
    return false;
  });
  
  return false;
}

function semantic_search_set_cache_functions(){
      $('#cacheBuilder').click(function(){
        ctext = $(this).html();
        $(this).html('Checking...');
        var url = SEMANTIC_SEARCH_JSRPC_ADMIN_PATH + '?action=check';
        //get stats from server
        $.get(url, function(data){ 
            //prompt user 
           var answer = confirm(data);
           if (answer){
              $('#cacheBuilder').html('Indexing...');
              var  url = SEMANTIC_SEARCH_JSRPC_ADMIN_PATH + '?action=start';
              //start processing
              semantic_searchRecursiveCheck(url); 
              $('#cacheStop').attr('disabled','');
              //effect causes needed delay
              $('#cacheBuilderStatus').fadeOut("slow",
                function(){
                  $('#cacheBuilderStatus').html('Starting...');
                  $('#cacheBuilderStatus').fadeIn('slow',
                  function (){
                     semantic_searchRecursiveCheck(null, true); 
                  } );
              });
              
              
           }
        });
        return false;
    });
    
    $('#cacheClearer').click(function(){
        var orig = $(this).html( );        
        $(this).html('Erasing Index...');
        var url = SEMANTIC_SEARCH_JSRPC_ADMIN_PATH + '?action=checkClear';
        //get stats from server
        $.get(url, function(data){ 
            //prompt user 
           var answer = confirm(data);
           if (answer){
              var  url = SEMANTIC_SEARCH_JSRPC_ADMIN_PATH + '?action=startClear';
              $.get(url, function(data){
                  $('#cacheBuilderStatus').html(data+'<br /> completed!'); 
                  $('#cacheClearer').html(orig);
              }); 
           }
        });
        return false;
    });
    
    $('#cacheStop').click(function(){
        var stoptext = $(this).html( );         
        $(this).html('Stopping index building');
        var url = SEMANTIC_SEARCH_JSRPC_ADMIN_PATH + '?action=stop';
        //get stats from server
        $.get(url, function(data){ 
            $('#cacheBuilderStatus').html(data+'<br /> stopped!'); 
            $('#cacheStop').html(stoptext);
            $('#cacheStop').attr('disabled','disabled');
          });
        return false;
    });
  
}

function semantic_searchRecursiveCheck(url, recurse){
    if (url == null)  url = SEMANTIC_SEARCH_JSRPC_ADMIN_PATH + '?action=status';
    $.get(url, function(data){  
        //check status
        if (data !=  '') {
          if (data == '.'){
            $('#cacheBuilderStatus').append(data); 
          } else {
            $('#cacheBuilderStatus').html(data);  
          }
          if (recurse == true) semantic_searchRecursiveCheck(null, true);
        }
        else if (recurse == true){
            $('#cacheBuilder').html(ctext); 
            $('#cacheStop').attr('disabled','disabled');
            $('#cacheBuilderStatus').append('<br /> done!<br />'); 
        }
      }); 
}